# GESAudioTrack

A GESAudioTrack is a default audio GESTrack, with a GES_TRACK_TYPE_AUDIO track-type and "audio/x-raw(ANY)" caps.

By default, an audio track will have its restriction-caps set to "audio/x-raw" with the following properties:

- format: "S32LE"
- channels: 2
- rate: 44100
- layout: "interleaved"

These fields are needed for negotiation purposes, but you can change their values if you wish. It is advised that you do so using ges_track_update_restriction_caps with new values for the fields you wish to change, and any additional fields you may want to add. Unlike using ges_track_set_restriction_caps, this will ensure that these default fields will at least have some value set.

## GESAudioTrack

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GESTrack
                            ╰──GESAudioTrack

### Members

`parent_instance` (GESTrack) –
No description available

### Class structure

#### GESAudioTrackClass

##### Fields

`parent_class` (GESTrackClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.AudioTrackClass

##### Attributes

`parent_class` (GES.TrackClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.AudioTrackClass

##### Attributes

`parent_class` (GES.TrackClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.AudioTrack

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──GES.Track
                            ╰──GES.AudioTrack

### Members

`parent_instance` (GES.Track) –
No description available

## GES.AudioTrack

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──GES.Track
                            ╰──GES.AudioTrack

### Members

`parent_instance` (GES.Track) –
No description available

### Constructors

#### ges_audio_track_new

    GESAudioTrack *
    ges_audio_track_new ()

Creates a new audio track, with a GES_TRACK_TYPE_AUDIO track-type, "audio/x-raw(ANY)" caps, and "audio/x-raw" restriction-caps with the properties:

- format: "S32LE"
- channels: 2
- rate: 44100
- layout: "interleaved"

You should use ges_track_update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns ( [transfer: floating]) –

The newly created audio track.

#### GES.AudioTrack.prototype.new

    function GES.AudioTrack.prototype.new(): {
        // javascript wrapper for 'ges_audio_track_new'
    }

Creates a new audio track, with a GES.TrackType.AUDIO track-type, "audio/x-raw(ANY)" caps, and "audio/x-raw" restriction-caps with the properties:

- format: "S32LE"
- channels: 2
- rate: 44100
- layout: "interleaved"

You should use GES.Track.prototype.update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns (GES.AudioTrack) –

The newly created audio track.

#### GES.AudioTrack.new

    def GES.AudioTrack.new ():
        #python wrapper for 'ges_audio_track_new'

Creates a new audio track, with a GES.TrackType.AUDIO track_type, "audio/x-raw(ANY)" caps, and "audio/x-raw" restriction_caps with the properties:

- format: "S32LE"
- channels: 2
- rate: 44100
- layout: "interleaved"

You should use GES.Track.update_restriction_caps if you wish to modify these fields, or add additional ones.

Returns (GES.AudioTrack) –

The newly created audio track.

The results of the search are